Subject: bug#41182: Profile hooks ignore system and target

From: Mathieu Othacehe <[email-masked]>
Date: Wed, 13 May 2020 12:37:58 +0200

Hello Jan,

> and with that "system build" succeeds (after a while) but "system vm-image" says
>
>     guix system: error: gnu/packages/glib.scm:404:2: [email-masked]: build system `meson' does not support cross builds
>
> This could be mostly harmless...still building a full (non-tiny/minimal)
> qemu or grub maybe?

I remember fixing a very similar issue with
d4ddf22d54f9374715c651aaebda2315e9f89272. The issue was cross-building
QEMU does not work, because it's dragging packages built with
meson-build-system.

Turns out we want to use a native build of QEMU here, so I replaced
#$qemu by #+qemu. Now there must be a similar issue somewhere. I'm
building your branch to see if I can figure it out.

Thanks for sharing your progress!

Mathieu